/* Form Components Here */


.form-label {
	font-size: 15px;
	font-family: var(--primary-regular-font);
	color: var(--dark-color);
	margin-bottom: 5px;
}


.form-control {
	background-color: var(--extra-color-2);
	border: transparent;
	border-radius: 8px;
	padding: 11px 16px;
	font-size: 14px;
	resize: none;
	color: var(--dark-color);
	resize: none;
}

.form-control-1 {
	background-color: transparent;
	border: 1px solid #D3D3D3;
	border-radius: 3px;
	padding: 11px 16px;
	font-size: 14px;
	resize: none;
	color: var(--dark-color);
	resize: none;
	display: block;
	width: 100%;
}

.form-control:focus,
.form-control-1:focus {
	background-color: var(--extra-color-2);
	box-shadow: 0 0 0 1px var(--extra-color-5);
}

.form-control::placeholder {
	color: #8E8E8E;
}

.form-control-1::placeholder {
	color: #4F4F4F;
	text-transform: capitalize;
}

a:hover {
	color: #fff;
}


.btn {
	background-color: var(--secondary-color-bg);
	border-radius: 8px;
	font-size: 14px;
	color: var(--color-5);
	text-align: center;
	font-family: var(--primary-medium-font);
	padding: 10px 20px;
	transition: 0.8s;
}

.btn:hover {
	background-color: var(--body-color);
	color: var(--secondary-color-bg);
	border: 1px solid var(--secondary-color-bg);
}

.dark-mode .btn {
	background-color: var(--secondary-color-bg);
	color: var(--body-color);
}

.btn-transparent {
	color: var(--dark-color);
	background-color: transparent;
	border-color: 1px solid var(--dark-color);
}

.btn-color {
	background-color: var(--extra-color-1) !important;
}
.btn-color:hover {
	background-color:  var(--color-5) !important;
}


.view-btn {
	height: 169px;
	width: 170px;
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	text-decoration: none;
	border: 1px solid var(--body-color);
	font-size: 13px;
	font-family: var(--primary-medium-font);
	color: var(--body-color);
	transition: 0.6s all;
}

.custom-checkbox label {
	position: relative;
	cursor: pointer;
}

.custom-checkbox label:before {
	content: "";
	appearance: none;
	background-color: transparent;
	border: 1px solid var(--secondary-color);
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.05),
		inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
	padding: 6px;
	display: inline-block;
	position: relative;
	vertical-align: middle;
	cursor: pointer;
	border-radius: 4px;
	margin-right: 5px;
}

.custom-checkbox input:checked+label:after {
	content: "";
	display: block;
	position: absolute;
	top: 4px;
	left: 5px;
	width: 4px;
	height: 9px;
	border: solid var(--secondary-color);
	border-width: 0 1px 1px 0;
	transform: rotate(45deg);
}

/* Custom checkbox end here */
/* Custom Radio Start here */

.custom-radio-1:checked~.radio-here,
.custom-radio-1:not(:checked)~.radio-here {
	position: relative;
	padding-left: 32px;
	cursor: pointer;
	display: block;
	width: 18px;
	height: 15px;
}

.custom-radio-1:checked~.radio-here:before,
.custom-radio-1:not(:checked)~.radio-here:before {
	content: "";
	position: absolute;
	left: 0;
	top: 0;
	width: 16px;
	height: 16px;
	border: 1px solid var(--secondary-color);
	border-radius: 100%;
	background: #fff;
}

.custom-radio-1:checked~.radio-here:after,
.custom-radio-1:not(:checked)~.radio-here:after {
	content: "";
	width: 10px;
	height: 10px;
	background: var(--secondary-color);
	position: absolute;
	top: 3px;
	left: 3px;
	border-radius: 100%;
	-webkit-transition: all 0.2s ease;
	transition: all 0.2s ease;
}

.custom-radio-1:not(:checked)~.radio-here:after {
	opacity: 0;
	-webkit-transform: scale(0);
	transform: scale(0);
}

.custom-radio-1:checked~.radio-here:after {
	opacity: 1;
	-webkit-transform: scale(1);
	transform: scale(1);
}

/* Custom Radio end here */

/* Form Components Here */
/* Neccesary Css Here */
* {
	transition: 0.6s all;
}

.dark-mode .light-image {
	filter: brightness(0) invert(1);
}

.border-rounded {
	border-radius: 60px;
}

.border-8 {
	border-radius: 8px;
}

.border-12 {
	border-radius: 12px;
}

.radius-100 {
	border-radius: 50%;
}

.border-down {
	border-bottom: 1px solid #a7a9aa;
}

.border-roundness-0 {
	border-radius: 0px;
}

.cursor-pointer {
	cursor: pointer;
}

.right-0 {
	right: 0px;
}

.left-0 {
	left: 0px;
}

.space-nowrap {
	white-space: nowrap;
}

.icon-badge {
	background-color: var(--secondary-color-bg);
	border-radius: 8px;
	color: var(--color-5);
	padding: 6px 15px;
	font-family: var(--primary-regular-font);
	font-size: 12px;
	text-transform: uppercase;
}

.line-height-1 {
	line-height: 1;
}

.icon-badge.sm {
	height: 29px;
	width: 29px;
}

.icon-badge.md {
	height: 33px;
	width: 33px;
}

.icon-badge.sm i {
	font-size: 13px;
}

.icon-badge.md i {
	font-size: 16px;
}

.writting-mode-lr {
	writing-mode: vertical-lr;
	rotate: 180deg;
}

figure {
	margin-bottom: 0px;
}

.secondary-border {
	border: 1px solid var(--secondary-color);
}

.box-shadow-1 {
	box-shadow: rgba(0, 0, 0, 0.08) 0px 4px 12px;
}

.w-fit {
	width: fit-content;
}

.column-count-3 {
	column-count: 3;
}

.border-line {
	background-color: var(--border-color-1);
}

.z-index-1 {
	z-index: 1;
}

.letter-spacing-1 {
	letter-spacing: 1px;
}

.dark-color-hover:hover {
	color: var(--dark-color);
}

.link-here {
	position: relative;
	transition: 0.8s;
}

.link-here:before {
	content: "";
	position: absolute;
	width: 0;
	height: 2px;
	background-color: var(--secondary-color);
	bottom: 0;
	left: 0;
	transition: 0.8s;
}

.link-here:hover:before {
	width: 100%;
}

.line-clamp-1,
.line-clamp-2,
.line-clamp-3,
.line-clamp-4,
.line-clamp-5 {
	display: -webkit-box;
	-webkit-box-orient: vertical;
	overflow: hidden;
}

.line-clamp-1 {
	-webkit-line-clamp: 1;
}

.line-clamp-2 {
	-webkit-line-clamp: 2;
}

.line-clamp-3 {
	-webkit-line-clamp: 3;
}

.line-clamp-4 {
	-webkit-line-clamp: 4;
}

.line-clamp-5 {
	-webkit-line-clamp: 5;
}

.figure-me {
	margin-left: -30px;
}

.object-cover {
	object-fit: cover;
}

.inner-space {
	padding-top: 120px;
}

.section {
	padding: 60px 0px 68px;
}

.bg-img {
	background-image: url(../img/author-bg.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	height: 100%;
}

.number-input::-webkit-outer-spin-button,
.number-input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}

.counter-here .counter-btn,
.counter-here .counter-static {
	border: 0px;
	height: 46px;
	display: flex;
	align-items: center;
}

.counter-here {
	border: 1px solid var(--extra-color-7);
	width: fit-content;
}

.counter-here .counter-input {
	width: 58px;
	text-align: center;
	border-width: 0px 1px 0px 1px;
	border-color: #00000080;
	height: 46px;
}

.counter-here .counter-input:focus-visible {
	outline: none;
}

/* Firefox */
.number-input[type="number"] {
	-moz-appearance: textfield;
}

/* pages banner */
.page-banner {
	background-image: url(../img/pages-banner.png);
	background-repeat: no-repeat;
	background-position: center;
	background-size: cover;
	height: 100%;
	background-color: var(--color-5);
}

/* pages banner */

/* Neccesary Css Here */
/* Variable Css End Here */
.secondary-regular-font,
.heading-font {
	font-family: var(--secondary-regular-font);
}

.secondary-bold-font,
.bold-font {
	font-family: var(--secondary-bold-font);
}

.primary-bold-font {
	font-family: var(--primary-bold-font);
}

.primary-light-font {
	font-family: var(--primary-light-font);
}

.primary-medium-font {
	font-family: var(--primary-medium-font);
}

.primary-regular-font,
.text-font {
	font-family: var(--primary-regular-font);
}

.primary-semibold-font {
	font-family: var(--primary-semibold-font);
}

/* Font Sizes Here */
.level-1 {
	font-size: 53px;
}

.level-2 {
	font-size: 41px;
}

.level-3 {
	font-size: 37px;
}

.level-4 {
	font-size: 30px;
}

.level-5 {
	font-size: 26px;
}

.level-6 {
	font-size: 18px;
}
/* .text-section h1,
.text-section h2,
.text-section h3,
.text-section h4,
.text-section h5,
.text-section h6 {
	font-family: var(--secondary-regular-font);
} */
.text-section strong {
    font-family: var(--secondary-bold-font);
}
.level-7 {
	font-size: 15px;
}

.level-8 {
	font-size: 13px;
}

.link-hover:hover {
	color: var(--bg-color-1);
}

.font-unset {
	font-size: unset;
}

.line-height-normal {
	line-height: normal;
}

.line-height-para {
	line-height: 1.8;
}

/* opacity Css  */

.opacity-03 {
	opacity: 0.3;
}

/* Font Sizes Here */

/* Custom Video Player */
.video-player {
	position: relative;
}

.video-player .custom-controls {
	position: absolute;
}

/* .video-player .custom-controls button::before {
	content: "";
	position: absolute;
	display: block;
	width: 100%;
	height: 100%;
	filter: blur(1px);
	background-color: #b16a4797;
	top: 0px;
	left: 0px;
	border-radius: 50%;
} */

.video-player .custom-controls button {
	cursor: pointer;
	color: #402e2e;
	border-radius: 50%;
	height: 118px;
	width: 118px;
	/* background-color: transparent; */
	overflow: hidden;
	background-image: url("../img/play-bg.png");
	background-position: center;
}

.video-player .custom-controls button i {
	font-size: 58px;
	/* position: relative; */
	/* z-index: 99; */
}

.swiper-scrollbar-drag {
	background-color: var(--border-color-1);
}

/* Custom Video Player End here */

/* Pagination Css Start here */

.site-pagination .page-item.active .page-link {
	background-color: transparent;
	color: var(--extra-color-6);
}
.site-pagination .page-item.active.disabled .page-link {
	color: #14252A;
}
.site-pagination .page-item .page-link {
	color: #14252A;
}

/* Pagination Css End here */
/* Global Responsive Here */
@media (max-width: 1400px) {
	.level-1 {
		font-size: 50px;
	}

	.level-2 {
		font-size: 47px;
	}

	.level-4-lg {
		font-size: 22px;
	}

	.level-4 {
		font-size: 19px;
	}

	.level-5 {
		font-size: 16px;
	}

	.level-6 {
		font-size: 14px;
	}

	.level-7 {
		font-size: 13px;
	}

	.form-control {
		padding: 9px 14px;
	}

	.icon-badge {
		height: 39px;
		width: 39px;
	}

	.icon-badge.sm {
		height: 27px;
		width: 27px;
	}

	.icon-badge.md {
		height: 31px;
		width: 31px;
	}

	.shop-btn {
		height: 155px;
		width: 155px;
		font-size: 19px;
	}
}

@media (max-width: 1200px) {
	.level-1 {
		font-size: 43px;
	}

	.level-2 {
		font-size: 40px;
	}

	.level-4-lg {
		font-size: 21px;
	}

	.level-4 {
		font-size: 18px;
	}

	.level-5 {
		font-size: 15px;
	}

	.level-6 {
		font-size: 13px;
	}

	.level-7 {
		font-size: 12px;
	}

	.form-control {
		font-size: 12px;
		padding: 8px 12px;
	}

	.form-control-1 {
		padding: 10px 14px;
		font-size: 13px;
	}

	.icon-badge {
		height: 37px;
		width: 37px;
	}

	.icon-badge.sm {
		height: 25px;
		width: 25px;
	}

	.icon-badge.md {
		height: 29px;
		width: 29px;
	}

	.shop-btn {
		height: 140px;
		width: 140px;
		font-size: 17px;
	}

	.section {
		padding: 50px 0px 56px;
	}

	.form-label {
		font-size: 14px;
	}
}

@media (max-width: 991px) {
	.level-1 {
		font-size: 40px;
	}

	.level-2 {
		font-size: 37px;
	}



	.level-4 {
		font-size: 16px;
	}

	.level-5 {
		font-size: 14px;
	}

	.level-6 {
		font-size: 12px;
	}

	.level-7 {
		font-size: 11px;
	}

	.level-8 {
		font-size: 10px;
	}

	.form-control {
		font-size: 11px;
		padding: 7px 11px;
	}

	.form-control-1 {
		padding: 9px 13px;
		font-size: 12px;
	}

	.icon-badge {
		height: 34px;
		width: 34px;
	}

	.icon-badge.sm {
		height: 23px;
		width: 23px;
	}

	.icon-badge.md {
		height: 27px;
		width: 27px;
	}

	.shop-btn {
		height: 115px;
		width: 115px;
		font-size: 15px;
	}

	.section {
		padding: 40px 0px 44px;
	}

	.form-label {
		font-size: 13px;
	}
}

@media (max-width: 768px) {
	.level-1 {
		font-size: 35px;
	}

	.level-2 {
		font-size: 31px;
	}

	.level-4-lg {
		font-size: 18px;
	}

	.level-4 {
		font-size: 15px;
	}

	.level-5 {
		font-size: 13px;
	}

	.level-6 {
		font-size: 11px;
	}

	.level-7 {
		font-size: 10px;
	}

	.icon-badge {
		height: 32px;
		width: 32px;
	}

	.icon-badge.sm {
		height: 21px;
		width: 21px;
	}

	.icon-badge.md {
		height: 25px;
		width: 25px;
	}

	.shop-btn {
		height: 110px;
		width: 110px;
		font-size: 14px;
	}

	.video-player .custom-controls button {
		height: 83px;
		width: 83px;
	}

	.video-player .custom-controls button i {
		font-size: 38px;
	}

	.form-control-1 {
		padding: 8px 12px;
		font-size: 11px;
	}

	.form-label {
		font-size: 12px;
	}

}

@media (max-width: 576px) {
	.level-1 {
		font-size: 32px;
	}

	.level-2 {
		font-size: 27px;
	}

	.level-3 {
		font-size: 20px;
	}

	.level-4-lg {
		font-size: 17px;
	}

	.level-4 {
		font-size: 14px;
	}

	.level-5 {
		font-size: 12px;
	}

	.level-6 {
		font-size: 10px;
	}

	.level-7 {
		font-size: 9px;
	}

	.icon-badge {
		height: 30px;
		width: 30px;
	}

	.icon-badge.sm {
		height: 21px;
		width: 21px;
	}

	.icon-badge.md {
		height: 25px;
		width: 25px;
	}

	.shop-btn {
		height: 100px;
		width: 100px;
		font-size: 13px;
	}

	.py-xs-4 {
		padding-top: 1.5rem !important;
		padding-bottom: 1.5rem !important;
	}

	.mb-xs-4 {
		margin-bottom: 1.5rem !important;
	}

	.form-control-1 {
		padding: 7px 11px;
		font-size: 10px;
	}

	.form-label {
		font-size: 11px;
	}
}

/* Global Responsive Here */
/* Dark Mode here */
.form-switch .form-check-input {
	width: 54px;
	height: 32px;
	border-color: #344f28;
}

.form-switch .form-check-input {
	background-size: 23px;
	background-position: center left 3px;
}

.form-switch .form-check-input,
.form-switch .form-check-input:focus {
	background-image: url("data:image/svg+xml,%3Csvg width='33' height='34' viewBox='0 0 33 34' xmlns='http://www.w3.org/2000/svg'%3E%3Ccircle cx='16.6416' cy='17.1888' r='16.2137' fill='%23344F28'/%3E%3C/svg%3E");
	box-shadow: 0 0 0 0 transparent;
}

.form-switch .form-check-input:checked,
.form-switch .form-check-input:checked:focus {
	background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" width="33" height="34" viewBox="0 0 33 34" fill="none"%3E%3Ccircle cx="16.7574" cy="17.1888" r="16.2137" fill="%23E1DDDD"%3E%3C/circle%3E%3C/svg%3E');
	background-position: center right 3px;
	background-color: transparent;
	border-color: #e1dddd;
}

/* Dark Mode here */


.rate label {
	cursor: pointer;
}

.rate label i {
	transition: 0s all;
	color: var(--color-5);
}

.rate>input:checked~label i {
	color: #ffc700;
}

.rate:not(:checked)>label:hover,
.rate:not(:checked)>label:hover~label {
	color: #ffc700;
}

.rate>input:checked+label:hover,
.rate>input:checked+label:hover~label,
.rate>input:checked~label:hover,
.rate>input:checked~label:hover~label,
.rate>label:hover~input:checked~label {
	color: #c59b08;
}